de.caff.generics.util.combi

## Class IntPartitions.Part

- java.lang.Object
- - de.caff.generics.util.combi.IntPartitions.Part

- Enclosing class:
    IntPartitions

      public static class IntPartitions.Part
      extends java.lang.Object

  One part of a partition. This is just the given number and how often it is contained.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `count` How often the number is contained in the partition.
    `int` | `number` Number.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Part(int number, int count)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getCount()` Get how often the `getNumber()` is contained in the partition.
    `int` | `getNumber()` Get the number.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### number

          public final int number

      Number. A positive number.

    - #### count

          public final int count

      How often the number is contained in the partition.

  - ### Constructor Detail

    - #### Part

          Part(int number,
               int count)

      Constructor.
      Parameters:
        `number` - the number
        `count` - how often it is contained

  - ### Method Detail

    - #### getNumber

          public int getNumber()

      Get the number.
      Returns:
        a positive number which is part of the partition

    - #### getCount

          public int getCount()

      Get how often the `getNumber()` is contained in the partition.
      Returns:
        count of the number in the partition

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`